/'

#if (_WIN32_IE >= &h0400)
#define PSP_HIDEHEADER	2048
#define PSP_USEHEADERTITLE	4096
#define PSP_USEHEADERSUBTITLE	8192
#endif

#if (_WIN32_IE >= &h0400)
#define PSH_WATERMARK	32768
#define PSH_USEHBMWATERMARK	65536
#define PSH_USEHPLWATERMARK	131072
#define PSH_STRETCHWATERMARK	262144
#define PSH_HEADER	524288
#define PSH_USEHBMHEADER	1048576
#define PSH_USEPAGELANG	2097152
#if (_WIN32_IE < &h0500)
#define PSH_WIZARD97	&h00002000
#else
#define PSH_WIZARD97	&h01000000
#endif
#if (_WIN32_IE < &h0500)
#define PSH_WIZARD_LITE	&h400000
#define PSH_NOCONTEXTHELP	&h2000000
#endif
#endif /' _WIN32_IE >= &h0400 '/


#Ifdef PROPSHEETPAGEA
#Undef PROPSHEETPAGEA

type PROPSHEETPAGEA field=8
	dwSize as DWORD
	dwFlags as DWORD
	hInstance as HINSTANCE
	union
		pszTemplate as LPCSTR
		pResource as LPCDLGTEMPLATE
	end union
	union
		hIcon as HICON
		pszIcon as LPCSTR
	end union
	pszTitle as LPCSTR
	pfnDlgProc as DLGPROC
	lParam as LPARAM
	pfnCallback as function (byval as HWND, byval as UINT, byval as PROPSHEETPAGEA ptr) as UINT
	pcRefParent as UINT Ptr
	#if (_WIN32_IE >= &h0400)
	pszHeaderTitle as LPCSTR
	pszHeaderSubTitle as LPCSTR
	#endif
end type

#EndIf


#Ifdef PROPSHEETHEADERA
#Undef PROPSHEETHEADERA

type PROPSHEETHEADERA field=8
	dwSize as DWORD
	dwFlags as DWORD
	hwndParent as HWND
	hInstance as HINSTANCE
	union
		hIcon as HICON
		pszIcon as LPCSTR
	end union
	pszCaption as LPCSTR
	nPages as UINT
	union
		nStartPage as UINT
		pStartPage as LPCSTR
	end union
	union
		ppsp as LPCPROPSHEETPAGEA
		phpage as HPROPSHEETPAGE ptr
	end union
	pfnCallback as PFNPROPSHEETCALLBACK
	#if (_WIN32_IE >= &h0400)
	union
		hbmWatermark as HBITMAP
		pszbmWatermark as LPCSTR
	end union
	hplWatermark as HPALETTE
	union
		hbmHeader as HBITMAP
		pszbmHeader as LPCSTR
	end union
	#endif
end type

#EndIf
'/

' Wizard pages
Enum
	PROJPUB_WIZPAGE_WELCOME
	PROJPUB_WIZPAGE_PROJTYPE
	PROJPUB_WIZPAGE_PROJINFO
	PROJPUB_WIZPAGE_PROJWEB
	PROJPUB_WIZPAGE_LICENSE
	PROJPUB_WIZPAGE_MULTIUSER
	PROJPUB_WIZPAGE_INSTALLFOLDER
	PROJPUB_WIZPAGE_FILES
	PROJPUB_WIZPAGE_MUI
	PROJPUB_WIZPAGE_REMDRVINST
	PROJPUB_WIZPAGE_SHORTCUTS
	PROJPUB_WIZPAGE_LANGDLL
	PROJPUB_WIZPAGE_FILEASSOC
	PROJPUB_WIZPAGE_OPENWITH
	PROJPUB_WIZPAGE_UNINST
	PROJPUB_WIZPAGE_COMPRESSOR
	PROJPUB_WIZPAGE_PREVIEW
	PROJPUB_WIZPAGE_PUBLISH
	PROJPUB_WIZPAGE_FINISH
	PROJPUB_WIZPAGE_FAILED
	PROJPUB_WIZPAGES
End Enum

Declare Sub ShowProjectPublishWizard ( ByVal hwndOwner As HWND )
Declare Function ProjectPublishWizardCallback ( ByVal hwndDlg As HWND, ByVal uMsg As UINT, ByVal lParam As LPARAM ) As Integer
